package com.sy.coinage.core.constants;

public enum BusinessEnum {
    WORKSHOP(1, "车间临时库"),
    WARE(1, "总库"),
//    COIN_RACKET(1, "整拍"),
//    COIN_BOX(2, "零箱"),
//    COIN_PIECES(3, "零枚"),
PRODUCT_AREA(1, "实物成品库"),
    ELIMINATE_AREA(2, "剔除品库"),
    OUT_OUTSIDE(1, "外部出库"),
    OUT_INNER(2, "内部出库"),
    WORKSHOP_IN_PRODUCT_WARE(1, "机台to车间实物成品库"),
    WORKSHOP_IN_ELIMINATE_WARE(2, "机台to车间剔除品库"),
    GLOABL_IN_PRODUCT_WARE(3, "总库to车间实物成品库"),
    PRODUCT_IN_ELIMINATE_WARE(4, "车间实物成品库to车间剔除品库"),
    PRODUCT_OUT_GLOABL_WARE(1, "车间实物成品库出库到总库"),
    PRODUCT_OUT_ELIMINATE_WARE(2, "车间实物成品库出库到剔除品库"),
    PRODUCT_OUT_WORKSHOP(3, "车间剔除品库出库到机台"),
    GLOABL_OUT_PRODUCT(4, "车间剔除品库出库到机台");

    private final int value;

    private final String name;

    BusinessEnum(int value, String name) {
        this.value = value;
        this.name = name;
    }

    public int value() {
        return this.value;
    }

    public String getName() {
        return this.name;
    }
}
